package com.izouma.agpay.bean;

//@JSONType(orders={"message"})
public class ApiMessage<T> {

	private Message message;

	public Message getMessage() {
		return message;
	}

	public void setMessage(Message message) {
		this.message = message;
	}

	public class Message<T> {
		private Data<T> data;
		private String sign;

		public Data<T> getData() {
			return data;
		}

		public void setData(Data<T> data) {
			this.data = data;
		}

		public String getSign() {
			return sign;
		}

		public void setSign(String sign) {
			this.sign = sign;
		}

		//@JSONType(orders={"head","body"})
		public class Data<T> {
			private ApiHead head;
			private T body;

			public ApiHead getHead() {
				return head;
			}

			public void setHead(ApiHead head) {
				this.head = head;
			}

			public T getBody() {
				return body;
			}

			public void setBody(T body) {
				this.body = body;
			}
		}
	}


}
